<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns="http://www.w3.org/1999/xhtml">

  <xsl:output method="html" omit-xml-declaration="no"  />

  <!--  This template rule is for debugging.
        It catches elements that have not yet had a specific template rule applied.
        Run your mouse over the yellow background and observe the Tooltip -->
  <xsl:template match="*">
    <span style="background-color:yellow">
      <xsl:attribute name="title">
        Warning...
        
        &lt;<xsl:value-of select="name()" />&gt;
        <xsl:value-of select="." /><br />
        &lt;<xsl:value-of select="name()" />&gt;
        
        ... does not match a specific template_rule in the xslt stylesheet.        
      </xsl:attribute>
      <xsl:apply-templates />
    </span>
  </xsl:template>
  <xsl:param name="cutOffTimeXslSafe">183000</xsl:param>
  <xsl:param name="nowXslSafe">20040602213000</xsl:param>
  
  <xsl:template match="/">

      <!-- <xsl:processing-instruction> has a bug in it under MSXML 4.0 -->
      <xsl:text disable-output-escaping="yes">&lt;?xml-stylesheet type="text/xsl" href="xwmToXhtml.xslt" ?&gt;</xsl:text>
      <html xmlns="http://www.w3.org/1999/xhtml" xmlns:xwm="urn:xslwebmaker:toxhtml" xml:lang="en">
        <head>

          <!-- Title, Description, and keyword content should be repeated in the 
                body -->
          <title>XslWebMaker - <xwm:pageTitleSource>Meetings Future</xwm:pageTitleSource></title>
          <meta name="description" content="A listing of future meetings." />

          <script type="text/javascript" src="TableToggle.js">
          </script>  
          
      <xwm:commonHead />
      <xwm:directoryDependantHead />           
    </head>
    <body>
      <xwm:topArea />
      
      <xwm:navigation />
      
      <xwm:validators />  

          <!-- nowXslSafe: <xsl:value-of select="$nowXslSafe" /> <br /> -->
          <!-- cutOffTimeXslSafe: ***<xsl:value-of select="$cutOffTimeXslSafe" />**** <br /> -->
          <p>[Demonstrates using \Source\meetingsFuture.xslt to transform \Source\meetings.xml into WebOut\meetingsFuture.html.]</p>
          <p>Sorted from earlier to later (ascending).</p>
          <div id="commandHarness">
              <div id="expandAll" 
                class="command" 
                onclick="return expandOrCollapseTbodies('expand', document);"
                onmouseover="this.className=this.className + ' commandMouseOver';"
                onmouseout="this.className='command';">Expand All</div> 
              <div id="collapseAll" 
                class="command" 
                onclick="return expandOrCollapseTbodies('collapse', document);"
                onmouseover="this.className=this.className + ' commandMouseOver';"
                onmouseout="this.className='command';">Collapse All</div>
          </div>        
              
          <xsl:for-each select="*[local-name()='meetings']/*[local-name()='meeting'][(translate(@date, '-T:','') * 1000000 + $cutOffTimeXslSafe) &gt;= $nowXslSafe]">
          <xsl:sort select="@date" order="ascending" />
             <xsl:apply-templates select="." />
          </xsl:for-each>
          <xwm:footer />
        </body>
      </html>
  </xsl:template>

  <!-- include must be a child of xsl:stylesheet -->
  <xsl:include href="meetingsTable.xslt" /> 
  
</xsl:stylesheet>
