<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt">
  <xsl:output method="xml" omit-xml-declaration="no"  />

  <xsl:template match="*[local-name()='meeting']">
    <table class="tableCalendar">
      <col class="tableCalendarFirstColumn" />
      <thead onclick="return toggleTableBodyDisplay(this);" onmouseover="this.className='commandMouseOver';" onmouseout="this.className='';">
        <tr>
          <td valign="top">
            <xsl:value-of select="ms:format-date(@date, 'ddd dd MMM yyyy')" />
          </td>
          <td class="summaryBar" valign="top" colspan="3">
            <xsl:choose>
              <xsl:when test="*[local-name()='note']">
                <xsl:value-of select="*[local-name()='note']/*[local-name()='summary']" />
              </xsl:when>
              <xsl:when test="*[local-name()='speech']">
                <xsl:for-each select="*[local-name()='speech']">
                  <xsl:value-of select="*[local-name()='title']" />
                  <xsl:text> </xsl:text>
                </xsl:for-each>
              </xsl:when>
              <xsl:otherwise>
                <span style="color:red">Unrecognized Case in XSL Choose.</span>
              </xsl:otherwise>
            </xsl:choose>
          </td>
        </tr>
      </thead>
      <tbody class="collapsable">
      <xsl:if test="*[local-name()='note']">
        <tr>
          <td valign="top" colspan="4">
            <xsl:value-of select="*[local-name()='note']/*[local-name()='detail']" />
          </td>
        </tr>
      </xsl:if>                  
      <xsl:for-each select="*[local-name()='speech']">
        <tr>
          <td valign="top" >
            <p>Speaker 
            (<xsl:value-of select="@minimum" />
            - 
            <xsl:value-of select="@maximum" /> mins)</p>
          </td>
          <td colspan="2" valign="top">
            <p>
              <xsl:value-of select="*[local-name()='title']" />
            </p>
          </td>
          <td valign="top">
            <p>
              <xsl:value-of select="*[local-name()='speaker']" />
            </p>
          </td>
        </tr>
        <xsl:choose>
          <xsl:when test="*[local-name()='links']">
            <tr>
              <td valign="top"></td>
              <td colspan="3" valign="top">
                <xsl:for-each select="*[local-name()='links']/*[local-name()='a']">
                  <xsl:copy-of select="." />
                  <br />
                </xsl:for-each>
              </td>
            </tr>
          </xsl:when>
          <xsl:otherwise></xsl:otherwise>
        </xsl:choose>
      </xsl:for-each>
      <xsl:if test="*[local-name()='quickIssuer']">
        <tr>
          <td valign="top" >
            <p>Quick Issues (2 mins)</p>
          </td>
          <td valign="top">
            <p>
              <xsl:value-of select="*[local-name()='quickIssuer'][1]" />
            </p>
          </td>
          <td valign="top">
            <p>
              <xsl:value-of select="*[local-name()='quickIssuer'][2]" />
            </p>
          </td>
          <td valign="top">
            <p>
              <xsl:value-of select="*[local-name()='quickIssuer'][3]" />
            </p>
          </td>
        </tr>
      </xsl:if>
      
      <xsl:if test="*[local-name()='mc']">
        <tr>
          <td valign="top">
            <p>MC</p>
          </td>
          <td valign="top" colspan="3">
            <p>
              <xsl:value-of select="*[local-name()='mc']" />
            </p>
          </td>
        </tr>
      <!--              
          <td valign="top">
            <p>Timer</p>
          </td>
          <td valign="top">
            <p>
              <xsl:value-of select="*[local-name()='timer']" />
            </p>
          </td>
        
      -->
      </xsl:if>
      </tbody>
    </table>

  </xsl:template>
</xsl:stylesheet>