<?xml version="1.0" encoding="UTF-8" ?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ms="urn:schemas-microsoft-com:xslt" xmlns="http://www.w3.org/1999/xhtml">
  <xsl:output method="html" omit-xml-declaration="no"  />
  <!--  This template rule is for debugging.
        It catches elements that have not yet had a specific template rule applied.
        Run your mouse over the yellow background and observe the Tooltip -->
  <xsl:template match="*">
    <span style="background-color:yellow">
      <xsl:attribute name="title">
        Warning...
        
        &lt;<xsl:value-of select="name()" />&gt;
        <xsl:value-of select="." /><br />
        &lt;<xsl:value-of select="name()" />&gt;
        
        ... does not match a specific template_rule in the xslt stylesheet.        
      </xsl:attribute>
      <xsl:apply-templates />
    </span>
  </xsl:template>
  <xsl:param name="cutOffTimeXslSafe">183000</xsl:param>
  <xsl:param name="nowXslSafe">20040602213000</xsl:param>
  <xsl:template match="/">
    <!-- <xsl:processing-instruction> has a bug in it under MSXML 4.0 -->
    <xsl:text disable-output-escaping="yes">&lt;?xml-stylesheet type="text/xsl" href="xwmToXhtml.xslt" ?&gt;</xsl:text>
     <html xmlns="http://www.w3.org/1999/xhtml" xmlns:xwm="urn:xslwebmaker:toxhtml" xml:lang="en">
      <head>

        <!-- Title, Description, and keyword content should be repeated in the 
              body -->
        <title>XslWebMaker - <xwm:pageTitleSource>Past Calendar</xwm:pageTitleSource></title>
        <meta name="description" content="A listing of past meetings." />


        <script type="text/javascript" src="TableToggle.js">
        </script>  
        
    <xwm:commonHead />
    <xwm:directoryDependantHead />           
  </head>
  <body>
    <xwm:topArea />
    
    <xwm:navigation />
    
    <xwm:validators />  

        <!-- nowXslSafe: <xsl:value-of select="$nowXslSafe" /> <br /> -->
        <!-- cutOffTimeXslSafe: ***<xsl:value-of select="$cutOffTimeXslSafe" />**** <br /> -->
        <p>[Demonstrates using \Source\pastCalendar.xslt to transform \Source\meetings.xml into WebOut\pastCalendar.html.]</p>
        <p>Sorted from most recent to ancient.</p>
        <div id="commandHarness">
            <div id="expandAll" 
              class="command" 
              onclick="return expandOrCollapseTbodies('expand', document);"
              onmouseover="this.className=this.className + ' commandMouseOver';"
              onmouseout="this.className='command';">Expand All</div> 
            <div id="collapseAll" 
              class="command" 
              onclick="return expandOrCollapseTbodies('collapse', document);"
              onmouseover="this.className=this.className + ' commandMouseOver';"
              onmouseout="this.className='command';">Collapse All</div>
        </div>        
            
        <xsl:for-each select="*[local-name()='meetings']/*[local-name()='meeting'][(translate(@date, '-T:','') * 1000000 + $cutOffTimeXslSafe) &lt; $nowXslSafe]">
        <xsl:sort select="@date" order="descending" />
        <table class="tableCalendar">
          <col class="tableCalendarFirstColumn" />
          <thead onclick="return toggleTableBodyDisplay(this);" onmouseover="this.className='commandMouseOver';" onmouseout="this.className='';">
            <tr>
              <td valign="top">
                <xsl:value-of select="ms:format-date(@date, 'ddd dd MMM yyyy')" />
              </td>
              <td class="summaryBar" valign="top" colspan="3">
                <xsl:choose>
                  <xsl:when test="*[local-name()='note']">
                    <xsl:value-of select="*[local-name()='note']/*[local-name()='summary']" />
                  </xsl:when>
                  <xsl:when test="*[local-name()='speech']">
                    <xsl:for-each select="*[local-name()='speech']">
                      <xsl:value-of select="*[local-name()='title']" />
                      <xsl:text> </xsl:text>
                    </xsl:for-each>
                  </xsl:when>
                  <xsl:otherwise>
                    <span style="color:red">Unrecognized Case in XSL Choose.</span>
                  </xsl:otherwise>
                </xsl:choose>
              </td>
            </tr>
          </thead>
          <tbody class="collapsable">
          <xsl:if test="*[local-name()='note']">
            <tr>
              <td valign="top" colspan="4">
                <xsl:value-of select="*[local-name()='note']/*[local-name()='detail']" />
              </td>
            </tr>
          </xsl:if>                  
          <xsl:for-each select="*[local-name()='speech']">
            <tr>
              <td valign="top" >
                <p>Speaker 
                (<xsl:value-of select="@minimum" />
                - 
                <xsl:value-of select="@maximum" /> mins)</p>
              </td>
              <td colspan="2" valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='title']" />
                </p>
              </td>
              <td valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='speaker']" />
                </p>
              </td>
            </tr>
            <xsl:choose>
              <xsl:when test="*[local-name()='links']">
                <tr>
                  <td valign="top"></td>
                  <td colspan="3" valign="top">
                    <xsl:for-each select="*[local-name()='links']/*[local-name()='a']">
                      <xsl:copy-of select="." />
                      <br />
                    </xsl:for-each>
                  </td>
                </tr>
              </xsl:when>
              <xsl:otherwise></xsl:otherwise>
            </xsl:choose>
          </xsl:for-each>
          <xsl:if test="*[local-name()='quickIssuer']">
            <tr>
              <td valign="top" >
                <p>Quick Issues (2 mins)</p>
              </td>
              <td valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='quickIssuer'][1]" />
                </p>
              </td>
              <td valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='quickIssuer'][2]" />
                </p>
              </td>
              <td valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='quickIssuer'][3]" />
                </p>
              </td>
            </tr>
          </xsl:if>
          
          <xsl:if test="*[local-name()='mc']">
            <tr>
              <td valign="top">
                <p>MC</p>
              </td>
              <td valign="top" colspan="3">
                <p>
                  <xsl:value-of select="*[local-name()='mc']" />
                </p>
              </td>
            </tr>
          <!--              
              <td valign="top">
                <p>Timer</p>
              </td>
              <td valign="top">
                <p>
                  <xsl:value-of select="*[local-name()='timer']" />
                </p>
              </td>
            
          -->
          </xsl:if>
          </tbody>
        </table>
        </xsl:for-each>
        <xwm:footer />
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
